# Contributing to this project

Hello! Nice to see you here. If you'd like to contribute to this project, it'd be nice if you could keep these points in mind.

-   There are no spelling or grammar errors. But if you encounter one, feel free to correct the mistake. If you're not a native English speaker like me, you can use tools like [grammarly](https://www.grammarly.com) to spot mistakes.
-   Bad code is better than no contribution. If you feel like you aren't good enough for contributing to open-source, then forget that feeling. Just start coding, open a pull request, and wait for my response. If your code doesn't fit or doesn't work, we're here to help you.

## Issues

When opening an issue, please follow some basic rules like explaining the steps to reproduce if creating a bug report or explain how to implement your feature request.
Please also always label your issues. We typically assign a "priority" label. You can look up the project's [labels](https://github.com/Jaaahn/HyperModals/labels) if you're unsure which labels to choose.
If you have questions about this project, how to develop, how to use the code, and more, simply create an issue with the "question" label. We will also moderate the issues so you don't have to nail the title or the labels.

## Starting to work

1. Fork this repository (or create a new branch if you just want to make small changes)
2. Clone the forked repository to your computer
3. Start coding
4. Commit and push to your forked repo
5. Create a pull-request to this repo's master branch

## Pull-Requests

When creating a pull-request, it's important to explain what you've changed. A clear title is also always a good idea. Other contributors and I may have questions before merging your code. Feel free to add more commits to your PR even if you already created it, but please tell us that we should wait to merge your PR.

# Contributor Covenant Code of Conduct

by [Contributor Covenant](https://www.contributor-covenant.org)

## Our Pledge

We as members, contributors, and leaders pledge to make participation in our
community a harassment-free experience for everyone, regardless of age, body
size, visible or invisible disability, ethnicity, sex characteristics, gender
identity and expression, level of experience, education, socio-economic status,
nationality, personal appearance, race, religion, or sexual identity
and orientation.

We pledge to act and interact in ways that contribute to an open, welcoming,
diverse, inclusive, and healthy community.

## Our Standards

Examples of behavior that contributes to a positive environment for our
community include:

-   Demonstrating empathy and kindness toward other people
-   Being respectful of differing opinions, viewpoints, and experiences
-   Giving and gracefully accepting constructive feedback
-   Accepting responsibility and apologizing to those affected by our mistakes,
    and learning from the experience
-   Focusing on what is best not just for us as individuals, but for the
    overall community

Examples of unacceptable behavior include:

-   The use of sexualized language or imagery, and sexual attention or
    advances of any kind
-   Trolling, insulting or derogatory comments, and personal or political attacks
-   Public or private harassment
-   Publishing others' private information, such as a physical or email
    address, without their explicit permission
-   Other conduct which could reasonably be considered inappropriate in a
    professional setting

## Enforcement Responsibilities

Community leaders are responsible for clarifying and enforcing our standards of
acceptable behavior and will take appropriate and fair corrective action in
response to any behavior that they deem inappropriate, threatening, offensive,
or harmful.

Community leaders have the right and responsibility to remove, edit, or reject
comments, commits, code, wiki edits, issues, and other contributions that are
not aligned to this Code of Conduct, and will communicate reasons for moderation
decisions when appropriate.

## Scope

This Code of Conduct applies within all community spaces, and also applies when
an individual is officially representing the community in public spaces.

<!-- Examples of representing our community include using an official e-mail address,
posting via an official social media account, or acting as an appointed
representative at an online or offline event. -->

## Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior may be
reported to the community leaders responsible for enforcement via a [Twitter DM](https://twitter.com/PhotographyJanB).
All complaints will be reviewed and investigated promptly and fairly.

All community leaders are obligated to respect the privacy and security of the
reporter of any incident.

## Enforcement Guidelines

Community leaders will follow these Community Impact Guidelines in determining
the consequences for any action they deem in violation of this Code of Conduct:

### 1. Correction

**Community Impact**: Use of inappropriate language or other behavior deemed
unprofessional or unwelcome in the community.

**Consequence**: A private, written warning from community leaders, providing
clarity around the nature of the violation and an explanation of why the
behavior was inappropriate. A public apology may be requested.

### 2. Warning

**Community Impact**: A violation through a single incident or series
of actions.

**Consequence**: A warning with consequences for continued behavior. No
interaction with the people involved, including unsolicited interaction with
those enforcing the Code of Conduct, for a specified period of time. This
includes avoiding interactions in community spaces as well as external channels
like social media. Violating these terms may lead to a temporary or
permanent ban.

### 3. Temporary Ban

**Community Impact**: A serious violation of community standards, including
sustained inappropriate behavior.

**Consequence**: A temporary ban from any sort of interaction or public
communication with the community for a specified period of time. No public or
private interaction with the people involved, including unsolicited interaction
with those enforcing the Code of Conduct, is allowed during this period.
Violating these terms may lead to a permanent ban.

### 4. Permanent Ban

**Community Impact**: Demonstrating a pattern of violation of community
standards, including sustained inappropriate behavior, harassment of an
individual, or aggression toward or disparagement of classes of individuals.

**Consequence**: A permanent ban from any sort of public interaction within
the community.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant][homepage],
version 2.0, available at
https://www.contributor-covenant.org/version/2/0/code_of_conduct.html.

Community Impact Guidelines were inspired by [Mozilla's code of conduct
enforcement ladder](https://github.com/mozilla/diversity).

[homepage]: https://www.contributor-covenant.org

For answers to common questions about this code of conduct, see the FAQ at
https://www.contributor-covenant.org/faq. Translations are available at
https://www.contributor-covenant.org/translations.
