import { Alert } from "./alert.js";

export default function confirm(text, labels = {}, config = {}) {
    let actions_ = [
        {
            text: labels?.confirm ?? "Confirm",
            handler(resolve) {
                resolve(true);
            },
        },
    ];

    /* 
        Confirm does NOT merge defaultConfig because it does not have a default config. Alert handles merging.
        This code just takes the providedConfig and overwrites two values.
        This config will be merged with defaultConfig by Alert. 
    */
    let config_ = {
        ...config,

        dismissDescription: labels?.dismiss ?? "Dismiss",
        throw: false,
    };

    let confirm = new Alert(text, actions_, config_);

    confirm.show();

    return confirm.promise;
}
