import mergeConfig from "./utils/mergeConfig";

export default class GlobalDefaultsManager {
    constructor() {
        this.defaults_ = {};
    }

    // Function merges programm defaults with defaults overriden by user
    initialize(userDefaults) {
        // Original defaults
        let standardDefaults = {
            notifications: {
                destination: "top-right",
                duration: 15 * 1000,
                autoClose: true,
                throw: false,
                dismissDescription: null,
                dismissStyle: "blue",
                icon: {
                    html: null,
                    style: "blue",
                },
                theme: "match",
                zIndex: 200,
            },

            alerts: {
                doBSL: true,
                throw: false,
                direction: "vertical",
                dismissDescription: "Dismiss",
                dismissStyle: "secondary",
                icon: {
                    html: null,
                    style: "blue",
                },
                theme: "match",
                zIndex: 300,
            },

            snackbars: {
                duration: 15 * 1000,
                autoClose: true,
                throw: false,
                dismissDescription: null,
                dismissStyle: "blue",
                icon: {
                    html: null,
                    style: "blue",
                },
                theme: "match",
                zIndex: 200,
            },
        };

        this.defaults_ = mergeConfig(standardDefaults, userDefaults);
    }

    get defaults() {
        return this.defaults_;
    }
}
