import GlobalDefaultsManager from "./globalDefaultsManager.js";
import "./global.scss";

export let globalDefaultsManager = new GlobalDefaultsManager();

export default function initialize(userDefaults) {
    globalDefaultsManager.initialize(userDefaults);

    initializeNotifications();
    initializeAlerts();
    initializeSnackbars();
}

export function initializeNotifications() {
    let destinations = ["top-left", "top-right", "bottom-left", "bottom-right"];

    destinations.forEach((destination) => {
        let container = document.createElement("div");
        container.classList.add("hm-notifications-container");
        container.classList.add(`hm-notifications-container-${destination}`);
        container.style.setProperty("z-index", globalDefaultsManager.defaults.notifications.zIndex);
        document.body.appendChild(container);
    });
}

export function initializeAlerts() {
    let container = document.createElement("div");
    container.classList.add("hm-alerts-container");
    container.style.setProperty("z-index", globalDefaultsManager.defaults.alerts.zIndex);
    document.body.appendChild(container);
}

export function initializeSnackbars() {
    let container = document.createElement("div");
    container.classList.add("hm-snackbars-container");
    container.style.setProperty("z-index", globalDefaultsManager.defaults.snackbars.zIndex);
    document.body.appendChild(container);
}
