import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";
import * as path from "path";

export default defineConfig({
    server: {
        port: 3000,
    },
    root: "debug/",
    plugins: [vue()],
    build: {
        cssCodeSplit: true,
        lib: {
            entry: path.resolve(__dirname, "lib/index.js"),
            name: "HyperModals",
        },
        outDir: "../dist/",
        rollupOptions: {
            external: ["vue"],
            output: {
                globals: {
                    vue: "Vue",
                },
            },
        },
    },
});
